class DM_Mutator expands Mutator config(AdultSetup);

var config string 	DMGameName,
			DMLeftMessage,
			DMEnteredMessage;

function PreBeginPlay ()
{
	Super.PreBeginPlay();
	SaveConfig();

	Level.Game.ScoreBoardType = Class'DM_SB';
	Level.Game.HUDType = Class'DM_HUD';
	Level.Game.GameName = DMGameName;
	Level.Game.LeftMessage = DMLeftMessage;
	Level.Game.EnteredMessage = DMEnteredMessage;

	AddMutator(Level.Spawn(class'DM_StatsMutator'));
	AddMutator(Level.Spawn(class'AdultInventory'));
	AddMutator(Level.Spawn(class'IP2Country'));
	AddMutator(Level.Spawn(class'Revenge'));
	AddMutator(Level.Spawn(class'Mapstats'));
}

function bool AlwaysKeep(Actor Other) 
{
	if (Other.IsA('Carcass'))
		{
		Carcass(Other).Style = STY_Translucent;
		Carcass(Other).bProjTarget = False;
		Carcass(Other).bBlockPlayers = False;
		}
	if (Other.IsA('Ammo') && !Other.IsA('WarHeadAmmo'))
		{
		Ammo(Other).AmmoAmount = Ammo(Other).default.AmmoAmount * 2;
		Ammo(Other).MaxAmmo = Ammo(Other).default.MaxAmmo * 10;
		}
	if (Other.IsA('GooGun'))
		{
		GooGun(Other).MultiSkins[1]=Texture'GooGunSkinA';
		GooGun(Other).MultiSkins[3]=Texture'GooGunSkinB';
		}
	if (Other.IsA('BukkakeGun'))
		{
		BukkakeGun(Other).MultiSkins[1]=Texture'BukkakeGunSkinA';
		BukkakeGun(Other).MultiSkins[3]=Texture'BukkakeGunSkinB';
		BukkakeGun(Other).MultiSkins[0]=Texture'BukkakeGunSkinC';
		}

	if (NextMutator != None)
		return (NextMutator.AlwaysKeep(Other));
	
	return false;
}

defaultproperties
{
DMGameName="Adult DeathMatch"
DMLeftMessage=" is a quitter!!!"
DMEnteredMessage=" joined the action!"
}
